Skip to main content
`Ctrl`+`K`

# PetscViewerDrawGetDrawLG

Returns a `PetscDrawLG` object from `PetscViewer` object of type `PETSCVIEWERDRAW`. This `PetscDrawLG` object may then be used to perform graphics using `PetscDrawLG` commands.

## Synopsis

    #include "petscdraw.h"
    #include "petscviewer.h"
    PetscErrorCode PetscViewerDrawGetDrawLG(PetscViewer viewer, PetscInt windownumber, PetscDrawLG *drawlg)

Collective

## Input Parameters

- viewer - the `PetscViewer` (created with `PetscViewerDrawOpen()`)

- windownumber - indicates which subwindow (usually 0)

## Output Parameter

- drawlg - the draw line graph object

## Note

A `PETSCVIEWERDRAW` may have multiple `PetscDraw` subwindows

## See Also

Viewers: Looking at PETSc Objects, `PetscDrawLG`, `PetscViewerDrawGetDraw()`, `PetscViewerDrawGetAxis()`, `PetscViewerDrawOpen()`

## Level

intermediate

## Location

src/sys/classes/viewer/impls/draw/draw/fdrawv.c

Index of all Draw routines
Table of Contents for all manual pages
Index of all manual pages